import { Hub } from '@sentry/hub';
import { TransactionContext } from '@sentry/types';
import { Span as SpanClass } from './span';
/** JSDoc */
export declare class Transaction extends SpanClass {
    name?: string;
    /**
     * The reference to the current hub.
     */
    private readonly _hub;
    private readonly _trimEnd?;
    /**
     * This constructor should never be called manually. Those instrumenting tracing should use
     * `Sentry.startTransaction()`, and internal methods should use `hub.startTransaction()`.
     * @internal
     * @hideconstructor
     * @hidden
     */
    constructor(transactionContext: TransactionContext, hub?: Hub);
    /**
     * JSDoc
     */
    setName(name: string): void;
    /**
     * Attaches SpanRecorder to the span itself
     * @param maxlen maximum number of spans that can be recorded
     */
    initSpanRecorder(maxlen?: number): void;
    /**
     * @inheritDoc
     */
    finish(endTimestamp?: number): string | undefined;
}
//# sourceMappingURL=transaction.d.ts.map